# Interface VulkanPipelineDepthStencilStateCreateInfoType

All Known Implementing Classes:
  `VulkanPipelineDepthStencilStateCreateInfo`

@Immutable public interface VulkanPipelineDepthStencilStateCreateInfoType
Structure specifying parameters of a newly created pipeline depth stencil state.

See Also:
  - "VkPipelineDepthStencilStateCreateInfo"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanStencilOpState`
  `back()`
  `boolean`
  `depthBoundsTestEnable()`
  `VulkanCompareOp`
  `depthCompareOp()`
  `boolean`
  `depthTestEnable()`
  `boolean`
  `depthWriteEnable()`
  `Set<VulkanPipelineDepthStencilStateCreateFlag>`
  `flags()`
  `VulkanStencilOpState`
  `front()`
  `float`
  `maxDepthBounds()`
  `float`
  `minDepthBounds()`
  `boolean`
  `stencilTestEnable()`

- ## Method Details

  - ### flags

    @Parameter Set<VulkanPipelineDepthStencilStateCreateFlag> flags()
    Returns:
      Creation flags

  - ### depthTestEnable

    @Parameter boolean depthTestEnable()
    Returns:
      `true` if depth testing is enabled.

  - ### depthWriteEnable

    @Parameter boolean depthWriteEnable()
    Returns:
      `true` if depth writing is enabled.

  - ### depthCompareOp

    @Parameter VulkanCompareOp depthCompareOp()
    Returns:
      The comparison operator used in the depth test.

  - ### depthBoundsTestEnable

    @Parameter boolean depthBoundsTestEnable()
    Returns:
      `true` if depth bounds testing is enabled.

  - ### stencilTestEnable

    @Parameter boolean stencilTestEnable()
    Returns:
      `true` if stencil testing is enabled.

  - ### front

    @Parameter VulkanStencilOpState front()
    Returns:
      The stencil op state for front faces.

  - ### back

    @Parameter VulkanStencilOpState back()
    Returns:
      The stencil op state for back faces.

  - ### minDepthBounds

    @Parameter float minDepthBounds()
    Returns:
      The minimum depth for bounds testing

  - ### maxDepthBounds

    @Parameter float maxDepthBounds()
    Returns:
      The maximum depth for bounds testing